Get Json Template
curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/json-templates/{json_template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/campaign-service/json-templates/{json_template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/campaign-service/json-templates/{json_template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"jsonSchema": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"adFormat": "banner",
"isArchived": false,
"previewScreenshot": "<string>",
"previewUrl": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Get Json Template
Endpoint to get a specific JSON template by ID.
GET
/
public
/
v1
/
campaign-service
/
json-templates
/
{json_template_id}
Get Json Template
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
JSON template ID to retrieve.
Response
Successful Response
The ID of the JSON template
The ID of the marketplace
The name of the JSON template
The description of the JSON template
The JSON schema of the JSON template
The creation time of the JSON template
The update time of the JSON template
The ad format of the JSON template
Available options:
banner, sponsored_brand Whether the JSON template is archived
Preview screenshot of the JSON template
Required string length:
1 - 2083Preview URL of the JSON template
Required string length:
1 - 2083Was this page helpful?